%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Alien-GMP
Version:       1.16
Release:       2mamba
Summary:       Alien::GMP - Alien package for the GNU Multiple Precision library.
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Alien-GMP-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Alien-Build
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-FFI-CheckLib
BuildRequires: perl-Test2-Suite
Requires:      perl >= %perl_major_ver

%description
Alien::GMP - Alien package for the GNU Multiple Precision library..

%prep
%setup -q -n Alien-GMP-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 1.16-2mamba
- rebuilt with perl 5.36.0

* Wed May 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-1mamba
- package created using the webbuild interface
